Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005TeamBallLocator::AbstractCell Class Reference

`#include <GT2005TeamBallLocator.h>`

Inheritance diagram for GT2005TeamBallLocator::AbstractCell:

[legend]
Collaboration diagram for GT2005TeamBallLocator::AbstractCell:

[legend]
List of all members.

## Public Member Functions
| AbstractCell ()
virtual void | getParticles (GT2005Particle **first)
virtual void | addParticle (GT2005Particle *particle)
virtual double | getSumOfProb ()
virtual void | violentBrutalDestruction ()
## Public Attributes
AbstractCell * | parent
AbstractCell * | next
GT2005Particle * | first
Vector2< double > | topLeft
Vector2< double > | downRight
int | depth

## Constructor & Destructor Documentation

GT2005TeamBallLocator::AbstractCell::AbstractCell | ( |  | ) | `[inline]`

| Definition at line 86 of file GT2005TeamBallLocator.h. References parent.

## Member Function Documentation

virtual void GT2005TeamBallLocator::AbstractCell::getParticles | ( | GT2005Particle ** | first | ) | `[inline, virtual]`

| Reimplemented in GT2005TeamBallLocator::BasicCell, and GT2005TeamBallLocator::CompositeCell. Definition at line 92 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::CompositeCell::getParticles().

virtual void GT2005TeamBallLocator::AbstractCell::addParticle | ( | GT2005Particle * | particle | ) | `[inline, virtual]`

| Reimplemented in GT2005TeamBallLocator::BasicCell, and GT2005TeamBallLocator::CompositeCell. Definition at line 93 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::CompositeCell::addParticle().

virtual double GT2005TeamBallLocator::AbstractCell::getSumOfProb | ( |  | ) | `[inline, virtual]`

| Reimplemented in GT2005TeamBallLocator::BasicCell, and GT2005TeamBallLocator::CompositeCell. Definition at line 94 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer(), GT2005TeamBallLocator::CompositeCell::getSumOfProb(), and GT2005TeamBallLocator::Queue::insertCell().

virtual void GT2005TeamBallLocator::AbstractCell::violentBrutalDestruction | ( |  | ) | `[inline, virtual]`

| Reimplemented in GT2005TeamBallLocator::BasicCell, and GT2005TeamBallLocator::CompositeCell. Definition at line 95 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer(), and GT2005TeamBallLocator::CompositeCell::violentBrutalDestruction().

## Member Data Documentation

AbstractCell* GT2005TeamBallLocator::AbstractCell::parent

| Definition at line 80 of file GT2005TeamBallLocator.h. Referenced by AbstractCell(), and GT2005TeamBallLocator::calcRepresentativeParticleContainer().

AbstractCell* GT2005TeamBallLocator::AbstractCell::next

| Definition at line 82 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer(), and GT2005TeamBallLocator::Queue::insertCell().

GT2005Particle* GT2005TeamBallLocator::AbstractCell::first

| Definition at line 84 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::CompositeCell::split().

Vector2<double> GT2005TeamBallLocator::AbstractCell::topLeft

| Definition at line 97 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::CompositeCell::split().

Vector2<double> GT2005TeamBallLocator::AbstractCell::downRight

| Definition at line 97 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::CompositeCell::addParticle(), and GT2005TeamBallLocator::CompositeCell::split().

int GT2005TeamBallLocator::AbstractCell::depth

| Definition at line 99 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer().

The documentation for this class was generated from the following file:

- Modules/TeamBallLocator/GT2005TeamBallLocator.h